diff init.d/rhodecode_daemon2 @ 549:f99075170eb4

more renames for rhode code !!
author Marcin Kuzminski <marcin@python-works.com>
date Wed, 06 Oct 2010 03:34:18 +0200
parents init.d/hg_app_daemon2@b75b77ef649d
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/init.d/rhodecode_daemon2	Wed Oct 06 03:34:18 2010 +0200
@@ -0,0 +1,77 @@
+#!/bin/sh -e
+########################################
+#### THIS IS AN DEBIAN INIT.D SCRIPT####
+########################################
+
+### BEGIN INIT INFO
+# Provides:          rhodecode          
+# Required-Start:    $all
+# Required-Stop:     $all
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: starts instance of rhodecode
+# Description:       starts instance of rhodecode using start-stop-daemon
+### END INIT INFO
+
+APP_NAME="rhodecode"
+APP_HOMEDIR="marcink/python_workspace"
+APP_PATH="/home/$APP_HOMEDIR/$APP_NAME"
+
+CONF_NAME="production.ini"
+
+PID_PATH="$APP_PATH/$APP_NAME.pid"
+LOG_PATH="$APP_PATH/$APP_NAME.log"
+
+PYTHON_PATH="/home/$APP_HOMEDIR/v-env"
+
+RUN_AS="marcink"
+
+DAEMON="$PYTHON_PATH/bin/paster"
+
+DAEMON_OPTS="serve --daemon \
+--user=$RUN_AS \
+--group=$RUN_AS \
+--pid-file=$PID_PATH \
+--log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
+
+
+case "$1" in
+  start)
+    echo "Starting $APP_NAME"
+    start-stop-daemon -d $APP_PATH -e PYTHON_EGG_CACHE="/tmp" \
+        --start --quiet \
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS
+    ;;
+  stop)
+    echo "Stopping $APP_NAME"
+    start-stop-daemon -d $APP_PATH \
+        --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    ;;
+  restart)
+    echo "Restarting $APP_NAME"
+    ### stop ###
+    echo "Stopping $APP_NAME"
+    start-stop-daemon -d $APP_PATH \
+        --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    ### start ###
+    echo "Starting $APP_NAME"
+    start-stop-daemon -d $APP_PATH -e PYTHON_EGG_CACHE="/tmp" \
+        --start --quiet \
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart}"
+    exit 1
+esac
\ No newline at end of file